<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxCellState (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxCellState (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxCellState.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.view</a></div>
<h2 title="Class mxCellState" class="title">Class mxCellState</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">hk.quantr.mxgraph.util.mxPoint</a></li>
<li>
<ul class="inheritance">
<li><a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">hk.quantr.mxgraph.util.mxRectangle</a></li>
<li>
<ul class="inheritance">
<li>hk.quantr.mxgraph.view.mxCellState</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>java.io.Serializable</code>, <code>java.lang.Cloneable</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">mxCellState</span>
extends <a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a></pre>
<div class="block">Represents the current state of a cell in a given graph view.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../serialized-form.html#hk.quantr.mxgraph.view.mxCellState">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#absoluteOffset">absoluteOffset</a></span></code></th>
<td class="colLast">
<div class="block">Holds the absolute offset.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.util.List&lt;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#absolutePoints">absolutePoints</a></span></code></th>
<td class="colLast">
<div class="block">List of mxPoints that represent the absolute points of an edge.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#boundingBox">boundingBox</a></span></code></th>
<td class="colLast">
<div class="block">Holds the largest rectangle which contains all rendering for this cell.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#cell">cell</a></span></code></th>
<td class="colLast">
<div class="block">Reference to the cell that is represented by this state.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#invalid">invalid</a></span></code></th>
<td class="colLast">
<div class="block">Specifies if the state is invalid.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#label">label</a></span></code></th>
<td class="colLast">
<div class="block">Holds the current label value, including newlines which result from
 word wrapping.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#labelBounds">labelBounds</a></span></code></th>
<td class="colLast">
<div class="block">Holds the rectangle which contains the label.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#length">length</a></span></code></th>
<td class="colLast">
<div class="block">Caches the distance between the end points and the length of an edge.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#origin">origin</a></span></code></th>
<td class="colLast">
<div class="block">Holds the origin for all child cells.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected double[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#segments">segments</a></span></code></th>
<td class="colLast">
<div class="block">Array of numbers that represent the cached length of each segment of the
 edge.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#style">style</a></span></code></th>
<td class="colLast">
<div class="block">Contains an array of key, value pairs that represent the style of the
 cell.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#terminalDistance">terminalDistance</a></span></code></th>
<td class="colLast">
<div class="block">Caches the distance between the end points and the length of an edge.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#view">view</a></span></code></th>
<td class="colLast">
<div class="block">Reference to the enclosing graph view.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#visibleSourceState">visibleSourceState</a></span></code></th>
<td class="colLast">
<div class="block">Caches the visible source and target terminal states.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#visibleTargetState">visibleTargetState</a></span></code></th>
<td class="colLast">
<div class="block">Caches the visible source and target terminal states.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.hk.quantr.mxgraph.util.mxRectangle">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;hk.quantr.mxgraph.util.<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a></h3>
<code><a href="../util/mxRectangle.html#height">height</a>, <a href="../util/mxRectangle.html#width">width</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.hk.quantr.mxgraph.util.mxPoint">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;hk.quantr.mxgraph.util.<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></h3>
<code><a href="../util/mxPoint.html#x">x</a>, <a href="../util/mxPoint.html#y">y</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">mxCellState</a></span>()</code></th>
<td class="colLast">
<div class="block">Constructs an empty cell state.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(hk.quantr.mxgraph.view.mxGraphView,java.lang.Object,java.util.Map)">mxCellState</a></span>&#8203;(<a href="mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a>&nbsp;view,
           java.lang.Object&nbsp;cell,
           java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</code></th>
<td class="colLast">
<div class="block">Constructs a new object that represents the current state of the given
 cell in the specified view.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#clone()">clone</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns a clone of this state where all members are deeply cloned
 except the view and cell references, which are copied with no
 cloning to the new instance.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAbsoluteOffset()">getAbsoluteOffset</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the absolute offset.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAbsolutePoint(int)">getAbsolutePoint</a></span>&#8203;(int&nbsp;index)</code></th>
<td class="colLast">
<div class="block">Returns the absolute point at the given index.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAbsolutePointCount()">getAbsolutePointCount</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the number of absolute points.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAbsolutePoints()">getAbsolutePoints</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the absolute points.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getBoundingBox()">getBoundingBox</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the bounding box.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCell()">getCell</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the cell that is represented by this state.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLabel()">getLabel</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the current label.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLabelBounds()">getLabelBounds</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the label bounds.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLength()">getLength</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the length.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOrigin()">getOrigin</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the origin for the children.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPerimeterBounds()">getPerimeterBounds</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the rectangle that should be used as the perimeter of the cell.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPerimeterBounds(double)">getPerimeterBounds</a></span>&#8203;(double&nbsp;border)</code></th>
<td class="colLast">
<div class="block">Returns the rectangle that should be used as the perimeter of the cell.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>double[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSegments()">getSegments</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the length of the segments.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getStyle()">getStyle</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the cell style as a map of key, value pairs.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTerminalDistance()">getTerminalDistance</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the terminal distance.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getView()">getView</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the enclosing graph view.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getVisibleTerminal(boolean)">getVisibleTerminal</a></span>&#8203;(boolean&nbsp;source)</code></th>
<td class="colLast">
<div class="block">Returns the visible source or target terminal cell.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getVisibleTerminalState(boolean)">getVisibleTerminalState</a></span>&#8203;(boolean&nbsp;source)</code></th>
<td class="colLast">
<div class="block">Returns the visible source or target terminal state.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isInvalid()">isInvalid</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns true if the state is invalid.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setAbsoluteOffset(hk.quantr.mxgraph.util.mxPoint)">setAbsoluteOffset</a></span>&#8203;(<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;absoluteOffset)</code></th>
<td class="colLast">
<div class="block">Returns the absolute offset.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setAbsolutePoint(int,hk.quantr.mxgraph.util.mxPoint)">setAbsolutePoint</a></span>&#8203;(int&nbsp;index,
                <a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;point)</code></th>
<td class="colLast">
<div class="block">Returns the absolute point at the given index.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setAbsolutePoints(java.util.List)">setAbsolutePoints</a></span>&#8203;(java.util.List&lt;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&gt;&nbsp;absolutePoints)</code></th>
<td class="colLast">
<div class="block">Returns the absolute points.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setAbsoluteTerminalPoint(hk.quantr.mxgraph.util.mxPoint,boolean)">setAbsoluteTerminalPoint</a></span>&#8203;(<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;point,
                        boolean&nbsp;isSource)</code></th>
<td class="colLast">
<div class="block">Sets the first or last point in the list of points depending on isSource.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setBoundingBox(hk.quantr.mxgraph.util.mxRectangle)">setBoundingBox</a></span>&#8203;(<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;boundingBox)</code></th>
<td class="colLast">
<div class="block">Sets the bounding box.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setCell(java.lang.Object)">setCell</a></span>&#8203;(java.lang.Object&nbsp;cell)</code></th>
<td class="colLast">
<div class="block">Sets the cell that this state represents.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setInvalid(boolean)">setInvalid</a></span>&#8203;(boolean&nbsp;invalid)</code></th>
<td class="colLast">
<div class="block">Sets the invalid state.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setLabel(java.lang.String)">setLabel</a></span>&#8203;(java.lang.String&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Returns the current label.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setLabelBounds(hk.quantr.mxgraph.util.mxRectangle)">setLabelBounds</a></span>&#8203;(<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;labelBounds)</code></th>
<td class="colLast">
<div class="block">Sets the label bounds.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setLength(double)">setLength</a></span>&#8203;(double&nbsp;length)</code></th>
<td class="colLast">
<div class="block">Sets the length.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setOrigin(hk.quantr.mxgraph.util.mxPoint)">setOrigin</a></span>&#8203;(<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;origin)</code></th>
<td class="colLast">
<div class="block">Sets the origin for the children.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setSegments(double%5B%5D)">setSegments</a></span>&#8203;(double[]&nbsp;segments)</code></th>
<td class="colLast">
<div class="block">Sets the length of the segments.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setStyle(java.util.Map)">setStyle</a></span>&#8203;(java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</code></th>
<td class="colLast">
<div class="block">Sets the cell style as a map of key, value pairs.</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setTerminalDistance(double)">setTerminalDistance</a></span>&#8203;(double&nbsp;terminalDistance)</code></th>
<td class="colLast">
<div class="block">Sets the terminal distance.</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setView(hk.quantr.mxgraph.view.mxGraphView)">setView</a></span>&#8203;(<a href="mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a>&nbsp;view)</code></th>
<td class="colLast">
<div class="block">Sets the enclosing graph view.</div>
</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setVisibleTerminalState(hk.quantr.mxgraph.view.mxCellState,boolean)">setVisibleTerminalState</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;terminalState,
                       boolean&nbsp;source)</code></th>
<td class="colLast">
<div class="block">Sets the visible source or target terminal state.</div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#toString()">toString</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the <code>String</code> representation of this
 <code>mxRectangle</code>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.hk.quantr.mxgraph.util.mxRectangle">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;hk.quantr.mxgraph.util.<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a></h3>
<code><a href="../util/mxRectangle.html#add(hk.quantr.mxgraph.util.mxRectangle)">add</a>, <a href="../util/mxRectangle.html#contains(double,double)">contains</a>, <a href="../util/mxRectangle.html#equals(java.lang.Object)">equals</a>, <a href="../util/mxRectangle.html#getCenterX()">getCenterX</a>, <a href="../util/mxRectangle.html#getCenterY()">getCenterY</a>, <a href="../util/mxRectangle.html#getHeight()">getHeight</a>, <a href="../util/mxRectangle.html#getRectangle()">getRectangle</a>, <a href="../util/mxRectangle.html#getWidth()">getWidth</a>, <a href="../util/mxRectangle.html#grow(double)">grow</a>, <a href="../util/mxRectangle.html#intersectLine(double,double,double,double)">intersectLine</a>, <a href="../util/mxRectangle.html#rotate90()">rotate90</a>, <a href="../util/mxRectangle.html#setHeight(double)">setHeight</a>, <a href="../util/mxRectangle.html#setRect(double,double,double,double)">setRect</a>, <a href="../util/mxRectangle.html#setWidth(double)">setWidth</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.hk.quantr.mxgraph.util.mxPoint">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;hk.quantr.mxgraph.util.<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></h3>
<code><a href="../util/mxPoint.html#getPoint()">getPoint</a>, <a href="../util/mxPoint.html#getX()">getX</a>, <a href="../util/mxPoint.html#getY()">getY</a>, <a href="../util/mxPoint.html#setX(double)">setX</a>, <a href="../util/mxPoint.html#setY(double)">setY</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="view">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>view</h4>
<pre>protected&nbsp;<a href="mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a> view</pre>
<div class="block">Reference to the enclosing graph view.</div>
</li>
</ul>
<a id="cell">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cell</h4>
<pre>protected&nbsp;java.lang.Object cell</pre>
<div class="block">Reference to the cell that is represented by this state.</div>
</li>
</ul>
<a id="label">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>label</h4>
<pre>protected&nbsp;java.lang.String label</pre>
<div class="block">Holds the current label value, including newlines which result from
 word wrapping.</div>
</li>
</ul>
<a id="style">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>style</h4>
<pre>protected&nbsp;java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt; style</pre>
<div class="block">Contains an array of key, value pairs that represent the style of the
 cell.</div>
</li>
</ul>
<a id="origin">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>origin</h4>
<pre>protected&nbsp;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a> origin</pre>
<div class="block">Holds the origin for all child cells.</div>
</li>
</ul>
<a id="absolutePoints">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>absolutePoints</h4>
<pre>protected&nbsp;java.util.List&lt;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&gt; absolutePoints</pre>
<div class="block">List of mxPoints that represent the absolute points of an edge.</div>
</li>
</ul>
<a id="absoluteOffset">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>absoluteOffset</h4>
<pre>protected&nbsp;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a> absoluteOffset</pre>
<div class="block">Holds the absolute offset. For edges, this is the absolute coordinates
 of the label position. For vertices, this is the offset of the label
 relative to the top, left corner of the vertex.</div>
</li>
</ul>
<a id="terminalDistance">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>terminalDistance</h4>
<pre>protected&nbsp;double terminalDistance</pre>
<div class="block">Caches the distance between the end points and the length of an edge.</div>
</li>
</ul>
<a id="length">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>length</h4>
<pre>protected&nbsp;double length</pre>
<div class="block">Caches the distance between the end points and the length of an edge.</div>
</li>
</ul>
<a id="segments">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>segments</h4>
<pre>protected&nbsp;double[] segments</pre>
<div class="block">Array of numbers that represent the cached length of each segment of the
 edge.</div>
</li>
</ul>
<a id="labelBounds">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>labelBounds</h4>
<pre>protected&nbsp;<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a> labelBounds</pre>
<div class="block">Holds the rectangle which contains the label.</div>
</li>
</ul>
<a id="boundingBox">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>boundingBox</h4>
<pre>protected&nbsp;<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a> boundingBox</pre>
<div class="block">Holds the largest rectangle which contains all rendering for this cell.</div>
</li>
</ul>
<a id="invalid">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>invalid</h4>
<pre>protected&nbsp;boolean invalid</pre>
<div class="block">Specifies if the state is invalid. Default is true.</div>
</li>
</ul>
<a id="visibleSourceState">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>visibleSourceState</h4>
<pre>protected&nbsp;<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a> visibleSourceState</pre>
<div class="block">Caches the visible source and target terminal states.</div>
</li>
</ul>
<a id="visibleTargetState">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>visibleTargetState</h4>
<pre>protected&nbsp;<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a> visibleTargetState</pre>
<div class="block">Caches the visible source and target terminal states.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mxCellState</h4>
<pre>public&nbsp;mxCellState()</pre>
<div class="block">Constructs an empty cell state.</div>
</li>
</ul>
<a id="&lt;init&gt;(hk.quantr.mxgraph.view.mxGraphView,java.lang.Object,java.util.Map)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxCellState</h4>
<pre>public&nbsp;mxCellState&#8203;(<a href="mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a>&nbsp;view,
                   java.lang.Object&nbsp;cell,
                   java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</pre>
<div class="block">Constructs a new object that represents the current state of the given
 cell in the specified view.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>view</code> - Graph view that contains the state.</dd>
<dd><code>cell</code> - Cell that this state represents.</dd>
<dd><code>style</code> - Array of key, value pairs that constitute the style.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="isInvalid()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isInvalid</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isInvalid()</pre>
<div class="block">Returns true if the state is invalid.</div>
</li>
</ul>
<a id="setInvalid(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInvalid</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setInvalid&#8203;(boolean&nbsp;invalid)</pre>
<div class="block">Sets the invalid state.</div>
</li>
</ul>
<a id="getView()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getView</h4>
<pre class="methodSignature">public&nbsp;<a href="mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a>&nbsp;getView()</pre>
<div class="block">Returns the enclosing graph view.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the view</dd>
</dl>
</li>
</ul>
<a id="setView(hk.quantr.mxgraph.view.mxGraphView)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setView</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setView&#8203;(<a href="mxGraphView.html" title="class in hk.quantr.mxgraph.view">mxGraphView</a>&nbsp;view)</pre>
<div class="block">Sets the enclosing graph view.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>view</code> - the view to set</dd>
</dl>
</li>
</ul>
<a id="getLabel()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLabel</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getLabel()</pre>
<div class="block">Returns the current label.</div>
</li>
</ul>
<a id="setLabel(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLabel</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setLabel&#8203;(java.lang.String&nbsp;value)</pre>
<div class="block">Returns the current label.</div>
</li>
</ul>
<a id="getCell()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCell</h4>
<pre class="methodSignature">public&nbsp;java.lang.Object&nbsp;getCell()</pre>
<div class="block">Returns the cell that is represented by this state.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the cell</dd>
</dl>
</li>
</ul>
<a id="setCell(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCell</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setCell&#8203;(java.lang.Object&nbsp;cell)</pre>
<div class="block">Sets the cell that this state represents.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cell</code> - the cell to set</dd>
</dl>
</li>
</ul>
<a id="getStyle()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStyle</h4>
<pre class="methodSignature">public&nbsp;java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;getStyle()</pre>
<div class="block">Returns the cell style as a map of key, value pairs.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the style</dd>
</dl>
</li>
</ul>
<a id="setStyle(java.util.Map)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStyle</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setStyle&#8203;(java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</pre>
<div class="block">Sets the cell style as a map of key, value pairs.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>style</code> - the style to set</dd>
</dl>
</li>
</ul>
<a id="getOrigin()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrigin</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;getOrigin()</pre>
<div class="block">Returns the origin for the children.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the origin</dd>
</dl>
</li>
</ul>
<a id="setOrigin(hk.quantr.mxgraph.util.mxPoint)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOrigin</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setOrigin&#8203;(<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;origin)</pre>
<div class="block">Sets the origin for the children.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>origin</code> - the origin to set</dd>
</dl>
</li>
</ul>
<a id="getAbsolutePoint(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAbsolutePoint</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;getAbsolutePoint&#8203;(int&nbsp;index)</pre>
<div class="block">Returns the absolute point at the given index.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the mxPoint at the given index</dd>
</dl>
</li>
</ul>
<a id="setAbsolutePoint(int,hk.quantr.mxgraph.util.mxPoint)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAbsolutePoint</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;setAbsolutePoint&#8203;(int&nbsp;index,
                                <a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;point)</pre>
<div class="block">Returns the absolute point at the given index.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the mxPoint at the given index</dd>
</dl>
</li>
</ul>
<a id="getAbsolutePointCount()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAbsolutePointCount</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getAbsolutePointCount()</pre>
<div class="block">Returns the number of absolute points.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the absolutePoints</dd>
</dl>
</li>
</ul>
<a id="getAbsolutePoints()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAbsolutePoints</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&gt;&nbsp;getAbsolutePoints()</pre>
<div class="block">Returns the absolute points.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the absolutePoints</dd>
</dl>
</li>
</ul>
<a id="setAbsolutePoints(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAbsolutePoints</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setAbsolutePoints&#8203;(java.util.List&lt;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&gt;&nbsp;absolutePoints)</pre>
<div class="block">Returns the absolute points.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>absolutePoints</code> - the absolutePoints to set</dd>
</dl>
</li>
</ul>
<a id="getAbsoluteOffset()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAbsoluteOffset</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;getAbsoluteOffset()</pre>
<div class="block">Returns the absolute offset.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the absoluteOffset</dd>
</dl>
</li>
</ul>
<a id="setAbsoluteOffset(hk.quantr.mxgraph.util.mxPoint)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAbsoluteOffset</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setAbsoluteOffset&#8203;(<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;absoluteOffset)</pre>
<div class="block">Returns the absolute offset.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>absoluteOffset</code> - the absoluteOffset to set</dd>
</dl>
</li>
</ul>
<a id="getTerminalDistance()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTerminalDistance</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getTerminalDistance()</pre>
<div class="block">Returns the terminal distance.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the terminalDistance</dd>
</dl>
</li>
</ul>
<a id="setTerminalDistance(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTerminalDistance</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setTerminalDistance&#8203;(double&nbsp;terminalDistance)</pre>
<div class="block">Sets the terminal distance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>terminalDistance</code> - the terminalDistance to set</dd>
</dl>
</li>
</ul>
<a id="getLength()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLength</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getLength()</pre>
<div class="block">Returns the length.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the length</dd>
</dl>
</li>
</ul>
<a id="setLength(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLength</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setLength&#8203;(double&nbsp;length)</pre>
<div class="block">Sets the length.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>length</code> - the length to set</dd>
</dl>
</li>
</ul>
<a id="getSegments()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSegments</h4>
<pre class="methodSignature">public&nbsp;double[]&nbsp;getSegments()</pre>
<div class="block">Returns the length of the segments.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the segments</dd>
</dl>
</li>
</ul>
<a id="setSegments(double[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSegments</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setSegments&#8203;(double[]&nbsp;segments)</pre>
<div class="block">Sets the length of the segments.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>segments</code> - the segments to set</dd>
</dl>
</li>
</ul>
<a id="getLabelBounds()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLabelBounds</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;getLabelBounds()</pre>
<div class="block">Returns the label bounds.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the label bounds for this state.</dd>
</dl>
</li>
</ul>
<a id="setLabelBounds(hk.quantr.mxgraph.util.mxRectangle)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLabelBounds</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setLabelBounds&#8203;(<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;labelBounds)</pre>
<div class="block">Sets the label bounds.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>labelBounds</code> - </dd>
</dl>
</li>
</ul>
<a id="getBoundingBox()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoundingBox</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;getBoundingBox()</pre>
<div class="block">Returns the bounding box.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the bounding box for this state.</dd>
</dl>
</li>
</ul>
<a id="setBoundingBox(hk.quantr.mxgraph.util.mxRectangle)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBoundingBox</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setBoundingBox&#8203;(<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;boundingBox)</pre>
<div class="block">Sets the bounding box.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>boundingBox</code> - </dd>
</dl>
</li>
</ul>
<a id="getPerimeterBounds()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPerimeterBounds</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;getPerimeterBounds()</pre>
<div class="block">Returns the rectangle that should be used as the perimeter of the cell.
 This implementation adds the perimeter spacing to the rectangle
 defined by this cell state.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the rectangle that defines the perimeter.</dd>
</dl>
</li>
</ul>
<a id="getPerimeterBounds(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPerimeterBounds</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;getPerimeterBounds&#8203;(double&nbsp;border)</pre>
<div class="block">Returns the rectangle that should be used as the perimeter of the cell.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the rectangle that defines the perimeter.</dd>
</dl>
</li>
</ul>
<a id="setAbsoluteTerminalPoint(hk.quantr.mxgraph.util.mxPoint,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAbsoluteTerminalPoint</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setAbsoluteTerminalPoint&#8203;(<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;point,
                                     boolean&nbsp;isSource)</pre>
<div class="block">Sets the first or last point in the list of points depending on isSource.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>point</code> - Point that represents the terminal point.</dd>
<dd><code>isSource</code> - Boolean that specifies if the first or last point should
 be assigned.</dd>
</dl>
</li>
</ul>
<a id="getVisibleTerminal(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVisibleTerminal</h4>
<pre class="methodSignature">public&nbsp;java.lang.Object&nbsp;getVisibleTerminal&#8203;(boolean&nbsp;source)</pre>
<div class="block">Returns the visible source or target terminal cell.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>source</code> - Boolean that specifies if the source or target cell should be
 returned.</dd>
</dl>
</li>
</ul>
<a id="getVisibleTerminalState(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVisibleTerminalState</h4>
<pre class="methodSignature">public&nbsp;<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;getVisibleTerminalState&#8203;(boolean&nbsp;source)</pre>
<div class="block">Returns the visible source or target terminal state.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>Boolean</code> - that specifies if the source or target state should be
 returned.</dd>
</dl>
</li>
</ul>
<a id="setVisibleTerminalState(hk.quantr.mxgraph.view.mxCellState,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVisibleTerminalState</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setVisibleTerminalState&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;terminalState,
                                    boolean&nbsp;source)</pre>
<div class="block">Sets the visible source or target terminal state.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>terminalState</code> - Cell state that represents the terminal.</dd>
<dd><code>source</code> - Boolean that specifies if the source or target state should be set.</dd>
</dl>
</li>
</ul>
<a id="clone()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clone</h4>
<pre class="methodSignature">public&nbsp;java.lang.Object&nbsp;clone()</pre>
<div class="block">Returns a clone of this state where all members are deeply cloned
 except the view and cell references, which are copied with no
 cloning to the new instance.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../util/mxRectangle.html#clone()">clone</a></code>&nbsp;in class&nbsp;<code><a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a></code></dd>
</dl>
</li>
</ul>
<a id="toString()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;toString()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../util/mxRectangle.html#toString()">mxRectangle</a></code></span></div>
<div class="block">Returns the <code>String</code> representation of this
 <code>mxRectangle</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../util/mxRectangle.html#toString()">toString</a></code>&nbsp;in class&nbsp;<code><a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a <code>String</code> representing this
 <code>mxRectangle</code>.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxCellState.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
